Name:           pdf2djvu
Version:        0.7.4
Release:        13%{?dist}
Summary:        PDF to DjVu converter
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://pdf2djvu.googlecode.com/
Source0:        http://pdf2djvu.googlecode.com/files/%{name}_%{version}.tar.gz
Patch1:         throw-specifier.patch
Patch2:         annot-link.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  djvulibre-devel djvulibre
BuildRequires:  libjpeg-devel
BuildRequires:  pkgconfig
BuildRequires:  poppler-devel
BuildRequires:  pstreams-devel
BuildRequires:  fontconfig-devel
Requires:       djvulibre

%description
pdf2djvu creates DjVu files from PDF files. It's able to extract:
graphics, text layer, hyperlinks, document outline (bookmarks) and
metadata.

%prep
%setup -q

%patch1 -p1 -b .throw-specifier
%patch2 -p1 -b .annot-link

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
install -p -m 644 -D {doc,%{buildroot}%{_mandir}/man1}/pdf2djvu.1

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/*
%{_mandir}/pl/man1/*


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-13
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct 28 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-11
- rebuild(poppler)

* Fri Sep 30 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-10
- Rebuild (poppler-0.18.0)

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-9
- Rebuild (poppler-0.17.3)

* Mon Aug  8 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-8
- Use AnnotLink instead of Link (poppler-0.17.0)
- Resolves: #698161

* Tue Mar 15 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-7
- Correct definition of derived class.

* Sun Mar 13 2011 Marek Kasik <mkasik@redhat.com> - 0.7.4-6
- Rebuild (poppler-0.16.3)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-4
- rebuild (poppler)

* Wed Dec 15 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-3
- rebuild (poppler)

* Sat Nov 06 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.4-2
- rebuilt (poppler)

* Wed Oct  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.4-1
- update to 0.7.4

* Thu Aug 19 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.7.3-4
- rebuild (poppler)

* Wed May 25 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.3-1
- Patch removed (in upstream now)

* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-3
- Fixed pdf-backend.cc error (pdf2djvu-0.7.2-pdf_backend_cc.patch)

* Wed May 05 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-2
- Bump for new libpoppler.so.6

* Mon May 03 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.7.2-1
- Updated to 0.7.2

* Sat Jan 30 2010 Rakesh Pandit <rakesh@fedoraproject.org> - 0.6.2-1
- Updated to 0.6.2

* Tue Aug 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.11-1
- Updated to 0.5.11

* Mon Aug 03 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.5.0-5
- Fixed the missing djvulibre require #500306

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 29 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.5.0-3
- Fix FTBFS: added BR: djvulibre, fontconfig-devel.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.0-1
- Updated to 0.5.0

* Mon Nov 10 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-3
- Cleaned useless permissions in %%files section

* Sat Nov 08 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-2
- Saving timestamp, fixed buildrequires, corrected license and did some cleaning.

* Tue Nov 04 2008 Rakesh Pandit <rakesh@fedoraproject.org> 0.4.13-1
- Initial package.
